Bug 114105 - Make Frame's ScriptController an OwnPtr and remove the #include
Summary: Make Frame's ScriptController an OwnPtr and remove the #include
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-06 16:26 PDT by Sam Weinig
Modified: 2013-04-13 22:09 PDT (History)
8 users (show)

See Also:


Attachments
Patch (42.60 KB, patch)
2013-04-06 16:30 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (43.61 KB, patch)
2013-04-06 16:39 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (45.14 KB, patch)
2013-04-06 16:49 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (46.18 KB, patch)
2013-04-06 17:03 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (43.77 KB, patch)
2013-04-10 13:09 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (45.65 KB, patch)
2013-04-10 13:46 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (47.44 KB, patch)
2013-04-12 10:32 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (47.43 KB, patch)
2013-04-12 14:02 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (48.34 KB, patch)
2013-04-12 14:18 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (49.34 KB, patch)
2013-04-12 14:53 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (50.93 KB, patch)
2013-04-12 15:08 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (55.58 KB, patch)
2013-04-13 13:22 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (51.36 KB, patch)
2013-04-13 16:57 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (51.79 KB, patch)
2013-04-13 17:29 PDT, Sam Weinig
dino: review+
eflews.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2013-04-06 16:26:21 PDT
Make Frame's ScriptController an OwnPtr and remove the #include
Comment 1 Sam Weinig 2013-04-06 16:30:17 PDT
Created attachment 196758 [details]
Patch
Comment 2 WebKit Review Bot 2013-04-06 16:32:23 PDT
Attachment 196758 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/SimplePDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaProxy.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebCore/page/Frame.cpp:82:  "ScriptController.h" already included at Source/WebCore/page/Frame.cpp:81  [build/include] [4]
Source/WebCore/inspector/InspectorInstrumentation.cpp:71:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit2/WebProcess/Storage/StorageAreaProxy.cpp:35:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 3 in 63 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Early Warning System Bot 2013-04-06 16:39:39 PDT
Comment on attachment 196758 [details]
Patch

Attachment 196758 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17473850
Comment 4 Sam Weinig 2013-04-06 16:39:43 PDT
Created attachment 196759 [details]
Patch
Comment 5 Sam Weinig 2013-04-06 16:45:11 PDT
The intent of this patch is to work towards reducing the cost of #including Frame.h, which is currently very high. By itself, this does not seem to have much benefit, but combined with other reductions (such as making ScriptWrappable not include so much of JSC and removing a few other Frame.h #includes) it should be quite nice.
Comment 6 Early Warning System Bot 2013-04-06 16:47:47 PDT
Comment on attachment 196759 [details]
Patch

Attachment 196759 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17524516
Comment 7 Sam Weinig 2013-04-06 16:49:31 PDT
Created attachment 196760 [details]
Patch
Comment 8 Early Warning System Bot 2013-04-06 16:59:29 PDT
Comment on attachment 196760 [details]
Patch

Attachment 196760 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17446527
Comment 9 Early Warning System Bot 2013-04-06 17:01:40 PDT
Comment on attachment 196760 [details]
Patch

Attachment 196760 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17529523
Comment 10 Sam Weinig 2013-04-06 17:03:20 PDT
Created attachment 196761 [details]
Patch
Comment 11 Early Warning System Bot 2013-04-06 17:12:23 PDT
Comment on attachment 196761 [details]
Patch

Attachment 196761 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17446529
Comment 12 Early Warning System Bot 2013-04-06 17:12:32 PDT
Comment on attachment 196761 [details]
Patch

Attachment 196761 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17528534
Comment 13 EFL EWS Bot 2013-04-06 21:13:32 PDT
Comment on attachment 196761 [details]
Patch

Attachment 196761 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17446590
Comment 14 Daniel Bates 2013-04-07 23:02:38 PDT
Comment on attachment 196761 [details]
Patch

Nice!

As implied by the EFL and GTK EWS error output, you'll need to include the header Document.h in file Source/WebCore/editing/atk/FrameSelectionAtk.cpp because you removed the include header ScriptController.h from file Source/WebCore/page/Frame.h.

Additionally, you'll need to include the header ScriptController.h in file Source/WebKit/qt/Api/qwebelement.cpp as implied by the error output from the Qt- and Qt-WK2- EWS bots.
Comment 15 Build Bot 2013-04-09 16:24:37 PDT
Comment on attachment 196761 [details]
Patch

Attachment 196761 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17605020
Comment 16 Sam Weinig 2013-04-10 13:09:07 PDT
Created attachment 197391 [details]
Patch
Comment 17 EFL EWS Bot 2013-04-10 13:19:11 PDT
Comment on attachment 197391 [details]
Patch

Attachment 197391 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17598063
Comment 18 Early Warning System Bot 2013-04-10 13:19:14 PDT
Comment on attachment 197391 [details]
Patch

Attachment 197391 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17644036
Comment 19 Early Warning System Bot 2013-04-10 13:20:39 PDT
Comment on attachment 197391 [details]
Patch

Attachment 197391 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17626035
Comment 20 Build Bot 2013-04-10 13:39:38 PDT
Comment on attachment 197391 [details]
Patch

Attachment 197391 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17641051
Comment 21 Sam Weinig 2013-04-10 13:46:55 PDT
Created attachment 197399 [details]
Patch
Comment 22 Early Warning System Bot 2013-04-10 13:57:33 PDT
Comment on attachment 197399 [details]
Patch

Attachment 197399 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17748006
Comment 23 Early Warning System Bot 2013-04-10 14:00:27 PDT
Comment on attachment 197399 [details]
Patch

Attachment 197399 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17748007
Comment 24 EFL EWS Bot 2013-04-10 14:03:29 PDT
Comment on attachment 197399 [details]
Patch

Attachment 197399 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17592069
Comment 25 Build Bot 2013-04-10 14:29:35 PDT
Comment on attachment 197399 [details]
Patch

Attachment 197399 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17611106
Comment 26 Build Bot 2013-04-10 14:32:47 PDT
Comment on attachment 197399 [details]
Patch

Attachment 197399 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17716094
Comment 27 Build Bot 2013-04-10 14:50:53 PDT
Comment on attachment 197399 [details]
Patch

Attachment 197399 [details] did not pass mac-ews (mac):
Output: http://webkit-commit-queue.appspot.com/results/17736054
Comment 28 Sam Weinig 2013-04-12 10:32:38 PDT
Created attachment 197866 [details]
Patch
Comment 29 Ryosuke Niwa 2013-04-12 10:35:22 PDT
Comment on attachment 197866 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=197866&action=review

> Source/WebCore/page/Frame.cpp:154
> -    , m_script(this)
> +    , m_script(adoptPtr(new ScriptController(this)))

Why don't we add ScriptController::create?
Comment 30 WebKit Commit Bot 2013-04-12 10:36:08 PDT
Attachment 197866 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/networkinfo/NetworkInfoConnection.cpp', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/editing/atk/FrameSelectionAtk.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/html/parser/XSSAuditorDelegate.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp', u'Source/WebCore/plugins/PluginView.cpp', u'Source/WebCore/plugins/gtk/PluginViewGtk.cpp', u'Source/WebCore/plugins/qt/PluginViewQt.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit/qt/Api/qwebelement.cpp', u'Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/Plugins/PlugInAutoStartProvider.cpp', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/PDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaMap.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 78 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 31 Early Warning System Bot 2013-04-12 10:47:12 PDT
Comment on attachment 197866 [details]
Patch

Attachment 197866 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/6070
Comment 32 EFL EWS Bot 2013-04-12 10:49:45 PDT
Comment on attachment 197866 [details]
Patch

Attachment 197866 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/57197
Comment 33 Early Warning System Bot 2013-04-12 10:53:33 PDT
Comment on attachment 197866 [details]
Patch

Attachment 197866 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-queues.appspot.com/results/83283
Comment 34 Build Bot 2013-04-12 10:56:23 PDT
Comment on attachment 197866 [details]
Patch

Attachment 197866 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/131088
Comment 35 Build Bot 2013-04-12 11:02:12 PDT
Comment on attachment 197866 [details]
Patch

Attachment 197866 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/83284
Comment 36 Build Bot 2013-04-12 11:33:15 PDT
Comment on attachment 197866 [details]
Patch

Attachment 197866 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/12096
Comment 37 Sam Weinig 2013-04-12 14:02:59 PDT
Created attachment 197882 [details]
Patch
Comment 38 Darin Adler 2013-04-12 14:05:19 PDT
Comment on attachment 197882 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=197882&action=review

> Source/WebKit2/Shared/WebHitTestResult.cpp:29
> +#include <WebCore/KURL.h>
>  #include <WebCore/KURL.h>

duplicate

> Source/WebKit2/Shared/WebHitTestResult.h:24
> -#include <WebCore/FrameView.h>
> -#include <WebCore/HitTestResult.h>
> -#include <WebCore/KURL.h>
> -#include <WebCore/Node.h>
> +#include <WebCore/IntRect.h>

Is this part of the ScriptController.h change, or just a separate good change?
Comment 39 WebKit Commit Bot 2013-04-12 14:05:44 PDT
Attachment 197882 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/networkinfo/NetworkInfoConnection.cpp', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/editing/atk/FrameSelectionAtk.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/html/parser/XSSAuditorDelegate.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp', u'Source/WebCore/plugins/PluginView.cpp', u'Source/WebCore/plugins/gtk/PluginViewGtk.cpp', u'Source/WebCore/plugins/qt/PluginViewQt.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit/qt/Api/qwebelement.cpp', u'Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/Plugins/PlugInAutoStartProvider.cpp', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/PDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaMap.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 78 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 40 Early Warning System Bot 2013-04-12 14:15:27 PDT
Comment on attachment 197882 [details]
Patch

Attachment 197882 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/7300
Comment 41 Early Warning System Bot 2013-04-12 14:18:07 PDT
Comment on attachment 197882 [details]
Patch

Attachment 197882 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-queues.appspot.com/results/131143
Comment 42 Sam Weinig 2013-04-12 14:18:45 PDT
Created attachment 197885 [details]
Patch
Comment 43 WebKit Commit Bot 2013-04-12 14:22:00 PDT
Attachment 197885 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/networkinfo/NetworkInfoConnection.cpp', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/editing/atk/FrameSelectionAtk.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/html/parser/XSSAuditorDelegate.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/BarInfo.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp', u'Source/WebCore/plugins/PluginView.cpp', u'Source/WebCore/plugins/efl/PluginViewEfl.cpp', u'Source/WebCore/plugins/gtk/PluginViewGtk.cpp', u'Source/WebCore/plugins/qt/PluginViewQt.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit/qt/Api/qwebelement.cpp', u'Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/Plugins/PlugInAutoStartProvider.cpp', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/PDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaMap.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 80 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 44 EFL EWS Bot 2013-04-12 14:35:53 PDT
Comment on attachment 197885 [details]
Patch

Attachment 197885 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6118
Comment 45 Early Warning System Bot 2013-04-12 14:37:14 PDT
Comment on attachment 197885 [details]
Patch

Attachment 197885 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/35372
Comment 46 Early Warning System Bot 2013-04-12 14:46:18 PDT
Comment on attachment 197885 [details]
Patch

Attachment 197885 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-queues.appspot.com/results/139137
Comment 47 Sam Weinig 2013-04-12 14:53:24 PDT
Created attachment 197890 [details]
Patch
Comment 48 WebKit Commit Bot 2013-04-12 14:56:33 PDT
Attachment 197890 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/networkinfo/NetworkInfoConnection.cpp', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/editing/atk/FrameSelectionAtk.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/html/parser/XSSAuditorDelegate.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/BarInfo.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp', u'Source/WebCore/plugins/PluginView.cpp', u'Source/WebCore/plugins/efl/PluginViewEfl.cpp', u'Source/WebCore/plugins/gtk/PluginViewGtk.cpp', u'Source/WebCore/plugins/qt/PluginViewQt.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit/qt/Api/qwebelement.cpp', u'Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp', u'Source/WebKit/win/WebCoreSupport/WebGeolocationClient.cpp', u'Source/WebKit/win/WebView.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/Plugins/PlugInAutoStartProvider.cpp', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/PDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaMap.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 82 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 49 EFL EWS Bot 2013-04-12 15:00:05 PDT
Comment on attachment 197890 [details]
Patch

Attachment 197890 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6125
Comment 50 Early Warning System Bot 2013-04-12 15:06:59 PDT
Comment on attachment 197890 [details]
Patch

Attachment 197890 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/7316
Comment 51 Sam Weinig 2013-04-12 15:08:02 PDT
Created attachment 197891 [details]
Patch
Comment 52 WebKit Commit Bot 2013-04-12 15:10:03 PDT
Attachment 197891 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/networkinfo/NetworkInfoConnection.cpp', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/editing/atk/FrameSelectionAtk.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/html/parser/XSSAuditorDelegate.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/BarInfo.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp', u'Source/WebCore/plugins/DOMMimeTypeArray.cpp', u'Source/WebCore/plugins/DOMPlugin.cpp', u'Source/WebCore/plugins/DOMPluginArray.cpp', u'Source/WebCore/plugins/PluginView.cpp', u'Source/WebCore/plugins/efl/PluginViewEfl.cpp', u'Source/WebCore/plugins/gtk/PluginViewGtk.cpp', u'Source/WebCore/plugins/qt/PluginViewQt.cpp', u'Source/WebCore/storage/Storage.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit/qt/Api/qwebelement.cpp', u'Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp', u'Source/WebKit/win/WebCoreSupport/WebGeolocationClient.cpp', u'Source/WebKit/win/WebView.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/Plugins/PlugInAutoStartProvider.cpp', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/PDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaMap.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 53 EFL EWS Bot 2013-04-12 15:26:59 PDT
Comment on attachment 197891 [details]
Patch

Attachment 197891 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/94042
Comment 54 Early Warning System Bot 2013-04-12 15:33:14 PDT
Comment on attachment 197891 [details]
Patch

Attachment 197891 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/9024
Comment 55 Early Warning System Bot 2013-04-12 15:39:05 PDT
Comment on attachment 197891 [details]
Patch

Attachment 197891 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-queues.appspot.com/results/143004
Comment 56 Build Bot 2013-04-12 15:44:18 PDT
Comment on attachment 197891 [details]
Patch

Attachment 197891 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/52090
Comment 57 Build Bot 2013-04-12 16:05:13 PDT
Comment on attachment 197891 [details]
Patch

Attachment 197891 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/24011
Comment 58 Anders Carlsson 2013-04-13 13:22:44 PDT
Created attachment 197954 [details]
Patch
Comment 59 Early Warning System Bot 2013-04-13 13:31:25 PDT
Comment on attachment 197954 [details]
Patch

Attachment 197954 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/102254
Comment 60 EFL EWS Bot 2013-04-13 13:45:13 PDT
Comment on attachment 197954 [details]
Patch

Attachment 197954 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/113193
Comment 61 Build Bot 2013-04-13 14:08:24 PDT
Comment on attachment 197954 [details]
Patch

Attachment 197954 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/143228
Comment 62 Build Bot 2013-04-13 14:17:09 PDT
Comment on attachment 197954 [details]
Patch

Attachment 197954 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/2434
Comment 63 Daniel Bates 2013-04-13 14:19:26 PDT
Comment on attachment 197954 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=197954&action=review

> Source/WebKit2/Shared/WebHitTestResult.cpp:28
> +#include <WebCore/KURL.h>

Nit: This line is unnecessary as we already include the header WebCore/KURL.h (below).
Comment 64 Sam Weinig 2013-04-13 16:57:58 PDT
Created attachment 197963 [details]
Patch
Comment 65 EFL EWS Bot 2013-04-13 17:05:55 PDT
Comment on attachment 197963 [details]
Patch

Attachment 197963 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/102297
Comment 66 Early Warning System Bot 2013-04-13 17:06:12 PDT
Comment on attachment 197963 [details]
Patch

Attachment 197963 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/153105
Comment 67 Sam Weinig 2013-04-13 17:29:49 PDT
Created attachment 197964 [details]
Patch
Comment 68 WebKit Commit Bot 2013-04-13 17:31:00 PDT
Attachment 197964 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/Modules/networkinfo/NetworkInfoConnection.cpp', u'Source/WebCore/Modules/websockets/WebSocket.cpp', u'Source/WebCore/bindings/generic/BindingSecurity.cpp', u'Source/WebCore/bindings/js/JSEventListener.cpp', u'Source/WebCore/bindings/js/JSLazyEventListener.cpp', u'Source/WebCore/bindings/js/PageScriptDebugServer.cpp', u'Source/WebCore/bindings/js/ScriptEventListener.cpp', u'Source/WebCore/bindings/js/ScriptState.cpp', u'Source/WebCore/bindings/objc/DOM.mm', u'Source/WebCore/bindings/objc/DOMAbstractView.mm', u'Source/WebCore/bindings/objc/DOMInternal.mm', u'Source/WebCore/dom/Clipboard.cpp', u'Source/WebCore/dom/DocumentStyleSheetCollection.cpp', u'Source/WebCore/dom/EventTarget.cpp', u'Source/WebCore/dom/ScriptElement.cpp', u'Source/WebCore/editing/atk/FrameSelectionAtk.cpp', u'Source/WebCore/history/CachedFrame.cpp', u'Source/WebCore/html/HTMLCanvasElement.cpp', u'Source/WebCore/html/HTMLDocument.cpp', u'Source/WebCore/html/HTMLElement.cpp', u'Source/WebCore/html/HTMLFormElement.cpp', u'Source/WebCore/html/HTMLPlugInElement.cpp', u'Source/WebCore/html/HTMLPlugInImageElement.cpp', u'Source/WebCore/html/parser/HTMLParserOptions.cpp', u'Source/WebCore/html/parser/XSSAuditorDelegate.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorFrontendHost.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorOverlay.cpp', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/loader/DocumentWriter.cpp', u'Source/WebCore/loader/NavigationScheduler.cpp', u'Source/WebCore/loader/SubframeLoader.cpp', u'Source/WebCore/loader/cache/CachedResourceLoader.cpp', u'Source/WebCore/page/BarInfo.cpp', u'Source/WebCore/page/DOMWindow.cpp', u'Source/WebCore/page/EventSource.cpp', u'Source/WebCore/page/Frame.cpp', u'Source/WebCore/page/Frame.h', u'Source/WebCore/page/Navigator.cpp', u'Source/WebCore/page/Page.cpp', u'Source/WebCore/page/PageGroup.cpp', u'Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp', u'Source/WebCore/plugins/DOMMimeTypeArray.cpp', u'Source/WebCore/plugins/DOMPlugin.cpp', u'Source/WebCore/plugins/DOMPluginArray.cpp', u'Source/WebCore/plugins/PluginView.cpp', u'Source/WebCore/plugins/efl/PluginViewEfl.cpp', u'Source/WebCore/plugins/gtk/PluginViewGtk.cpp', u'Source/WebCore/plugins/qt/PluginViewQt.cpp', u'Source/WebCore/storage/Storage.cpp', u'Source/WebCore/xml/XMLHttpRequest.cpp', u'Source/WebCore/xml/XMLTreeViewer.cpp', u'Source/WebKit/gtk/webkit/webkitviewportattributes.cpp', u'Source/WebKit/gtk/webkit/webkitwebview.cpp', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/Plugins/Hosted/HostedNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginStream.mm', u'Source/WebKit/mac/Plugins/WebPluginContainerCheck.mm', u'Source/WebKit/mac/WebCoreSupport/WebGeolocationClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebInspectorClient.mm', u'Source/WebKit/mac/WebView/WebFrame.mm', u'Source/WebKit/qt/Api/qwebelement.cpp', u'Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp', u'Source/WebKit/qt/WidgetApi/qwebframe.cpp', u'Source/WebKit/win/WebCoreSupport/WebGeolocationClient.cpp', u'Source/WebKit/win/WebView.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/Shared/WebHitTestResult.cpp', u'Source/WebKit2/Shared/WebHitTestResult.h', u'Source/WebKit2/UIProcess/Plugins/PlugInAutoStartProvider.cpp', u'Source/WebKit2/UIProcess/WebContext.h', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundleFrame.cpp', u'Source/WebKit2/WebProcess/InjectedBundle/InjectedBundleDOMWindowExtension.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.cpp', u'Source/WebKit2/WebProcess/Plugins/PDF/PDFPlugin.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaImpl.cpp', u'Source/WebKit2/WebProcess/Storage/StorageAreaMap.cpp', u'Source/WebKit2/WebProcess/WebPage/WebFrame.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp']" exit_code: 1
Source/WebKit/qt/WidgetApi/qwebframe.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 88 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 69 EFL EWS Bot 2013-04-13 17:36:21 PDT
Comment on attachment 197964 [details]
Patch

Attachment 197964 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/95342
Comment 70 Sam Weinig 2013-04-13 17:53:00 PDT
Committed r148373: <http://trac.webkit.org/changeset/148373>
Comment 71 Ryosuke Niwa 2013-04-13 20:41:34 PDT
3 XHR tests started crashing after this patch:
http://build.webkit.org/results/Apple%20MountainLion%20Debug%20WK2%20(Tests)/r148373%20(8844)/results.html
Comment 72 Sam Weinig 2013-04-13 22:09:13 PDT
Fixed in http://trac.webkit.org/changeset/148380.